/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txtlcat.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txtlcat_go);
ATF_TC_HEAD(txtlcat_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtlcat(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtlcat_l_go);
ATF_TC_HEAD(txtlcat_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtlcat_l(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
	ATF_TP_ADD_TC(tp, txtlcat_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtlcat_l_go);
#endif
	return atf_no_error();
}
