/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txtllcat.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txtllcat_go);
ATF_TC_HEAD(txtllcat_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtllcat(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtllcat_l_go);
ATF_TC_HEAD(txtllcat_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtllcat_l(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
	ATF_TP_ADD_TC(tp, txtllcat_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtllcat_l_go);
#endif
	return atf_no_error();
}
