/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txtllcpy.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txtllcpy_go);
ATF_TC_HEAD(txtllcpy_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtllcpy(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtllcpy_l_go);
ATF_TC_HEAD(txtllcpy_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtllcpy_l(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
	ATF_TP_ADD_TC(tp, txtllcpy_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtllcpy_l_go);
#endif
	return atf_no_error();
}
