/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txtwidth.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txtwidth_go);
ATF_TC_HEAD(txtwidth_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtwidth(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtwidth_l_go);
ATF_TC_HEAD(txtwidth_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtwidth_l(3) to-go");
}
#endif

ATF_TC(txtnwidth_go);
ATF_TC_HEAD(txtnwidth_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtnwidth(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtnwidth_l_go);
ATF_TC_HEAD(txtnwidth_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtnwidth_l(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
	ATF_TP_ADD_TC(tp, txtwidth_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtwidth_l_go);
#endif
	ATF_TP_ADD_TC(tp, txtnwidth_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtnwidth_l_go);
#endif

	return atf_no_error();
}
