/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txtbound.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txtbound_go);
ATF_TC_HEAD(txtbound_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtbound(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtbound_l_go);
ATF_TC_HEAD(txtbound_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtbound_l(3) to-go");
}
#endif

ATF_TC(txtnbound_go);
ATF_TC_HEAD(txtnbound_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtnbound(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtnbound_l_go);
ATF_TC_HEAD(txtnbound_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtnbound_l(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
	ATF_TP_ADD_TC(tp, txtbound_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtbound_l_go);
#endif
	ATF_TP_ADD_TC(tp, txtnbound_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtnbound_l_go);
#endif

	return atf_no_error();
}
