/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txtdup.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txtdup_go);
ATF_TC_HEAD(txtdup_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtdup(3) to-go");
}

ATF_TC(txtndup_go);
ATF_TC_HEAD(txtndup_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtndup(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtndup_l_go);
ATF_TC_HEAD(txtndup_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtndup_l(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
	ATF_TP_ADD_TC(tp, txtdup_go);
	ATF_TP_ADD_TC(tp, txtndup_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtndup_l_go);
#endif
	return atf_no_error();
}
