/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txtlen.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txtlen_go);
ATF_TC_HEAD(txtlen_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtlen(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtlen_l_go);
ATF_TC_HEAD(txtlen_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtlen_l(3) to-go");
}
#endif

ATF_TC(txtnlen_go);
ATF_TC_HEAD(txtnlen_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtnlen(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtnlen_l_go);
ATF_TC_HEAD(txtnlen_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtnlen_l(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
	ATF_TP_ADD_TC(tp, txtlen_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtlen_l_go);
#endif
	ATF_TP_ADD_TC(tp, txtnlen_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtnlen_l_go);
#endif
	return atf_no_error();
}
