/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txtncat.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txtncat_go);
ATF_TC_HEAD(txtncat_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtncat(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txtncat_l_go);
ATF_TC_HEAD(txtncat_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "txtncat_l(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
	ATF_TP_ADD_TC(tp, txtncat_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txtncat_l_go);
#endif
	return atf_no_error();
}
