/* $NetBSD$ */

/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include <atf-c.h>

#include "../t-body/t_txttype.h" /* ATF-INCLUDE-SHARED */

ATF_TC(txttype_go);
ATF_TC_HEAD(txttype_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "istl?XY(3) to-go");
}

#ifdef TEXT_SUPPORT_XLOCALE
ATF_TC(txttype_l_go);
ATF_TC_HEAD(txttype_l_go, tc)
{
        atf_tc_set_md_var(tc, "descr", "istl?XY_l?(3) to-go");
}
#endif

ATF_TP_ADD_TCS(tp)
{
#if TEXT_SUPPORT_LEVEL == 1
	_create_table();
#else
# error Unsupported TEXT_SUPPORT_LEVEL
#endif

	ATF_TP_ADD_TC(tp, txttype_go);
#ifdef TEXT_SUPPORT_XLOCALE
	ATF_TP_ADD_TC(tp, txttype_l_go);
#endif

	return atf_no_error();
}
