/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include "text.h"

#include "runtime.h"

#include "../t-body/t_txtstr.h"

int
main(void)
{
	/*
	 * Forward
	 */
	txtstr_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txtstr_l_go();
#endif
	txtllstr_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txtllstr_l_go();
#endif

	txtcasestr_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txtcasestr_l_go();
#endif
	txtllcasestr_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txtllcasestr_l_go();
#endif

	/*
	 * Reverse
	 */
	txtrstr_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txtrstr_l_go();
#endif
	txtllrstr_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txtllrstr_l_go();
#endif

	txtrcasestr_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txtrcasestr_l_go();
#endif
	txtllrcasestr_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txtllrcasestr_l_go();
#endif

	return 0;
}
