/*
 * Written by Steffen Nurpmeso.
 * Public domain.
 */

#include "text.h"

#include "runtime.h"

#include "../t-body/t_txttrans.h"

int
main(void)
{
#if TEXT_SUPPORT_LEVEL == 1
	_create_table();
#else
# error Unsupported TEXT_SUPPORT_LEVEL
#endif

	txttrans_go();
#ifdef TEXT_SUPPORT_XLOCALE
	txttrans_l_go();
#endif

	return 0;
}
